GET api/NTNonInjury/GetNonInjuryNote?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfNonInjuryNoteDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of NonInjuryNoteDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "CaseNumber": 2,
      "NoteType": 3,
      "NoteText": "sample string 4",
      "CorporationCode": "sample string 5",
      "insertUserName": "sample string 6",
      "RelativeDateTime": "sample string 7",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:28:19.7759702-07:00",
      "DateUpdated": "2026-08-04T14:28:19.7759702-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12,
      "CompanyCode": "sample string 13",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "CaseNumber": 2,
      "NoteType": 3,
      "NoteText": "sample string 4",
      "CorporationCode": "sample string 5",
      "insertUserName": "sample string 6",
      "RelativeDateTime": "sample string 7",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:28:19.7759702-07:00",
      "DateUpdated": "2026-08-04T14:28:19.7759702-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12,
      "CompanyCode": "sample string 13",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}